Subject: bug#25070: nnir-ignored-newsgroups seems to have no effect for `A T'

From: Dave Abrahams <[email-masked]>
Date: Tue, 29 Nov 2016 20:32:14 -0800

I have gnus-refer-thread-use-nnir set to t and nnir-ignored-newsgroups
is "nnimap\\+LocalIMAP:committee\\|nnimap\\+LocalIMAP:\\[Gmail\\]/Spam",
but when I do `A T' from my Inbox, I see the message

  Searching nnimap+LocalIMAP:committee...

which newsgroup name is definitely matched by the regexp.  I've designed
the regexp that way because the newsgroup is huge and I don't want to
wait for it to be searched.  So is there anything I can do about this?

Thanks,
Dave

Gnus v5.13
GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, Carbon Version 157 AppKit 1265.21)
 of 2016-11-05
200 Leafnode NNTP Daemon, version 1.11.11 running at localhost (my fqdn: dabrahams.boostpro.com)
100 Legal commands on THIS server:
 ARTICLE [<Message-ID>|<Number>]
 BODY [<Message-ID>|<Number>]
 DATE
 GROUP <Newsgroup>
 HDR <Header> <Message-ID>|<Range>
 HEAD [<Message-ID>|<Number>]
 HELP
 LAST
 LIST [ACTIVE|NEWSGROUPS] [<Wildmat>]]
 LIST [ACTIVE.TIMES|EXTENSIONS|OVERVIEW.FMT]
 LISTGROUP <Newsgroup>
 MODE READER
 NEWGROUPS <yymmdd> <hhmmss> [GMT]
 NEXT
 POST
 OVER <Range>
 SLAVE
 STAT [<Message-ID>|<Number>]
 XHDR <Header> <Message-ID>|<Range>
 XOVER <Range>
.

-- 
-Dave